Last modified: 2010-06-08 19:17:56 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 23236 - Set all le_type to 'abusefilter' where le_type = 'abusefilte'
Set all le_type to 'abusefilter' where le_type = 'abusefilte'
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Andrew Garrett
http://de.wikipedia.org/w/api.php?act...
: shell
Depends on:
Blocks: 16660
  Show dependency treegraph
 
Reported: 2010-04-18 16:02 UTC by Umherirrender
Modified: 2010-06-08 19:17 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Umherirrender 2010-04-18 16:02:16 UTC
In the log dump from de.wp I have found a invalid logtype 'abusefilte' (logid 9777108, see URL for API result).

With this invalid logtype it is impossible to get all abusefilter log entries with api.

The request for letype=abusefilte gives a error.

Is there a way to fix this? Thanks.
Comment 1 Sam Reed (reedy) 2010-04-18 16:14:07 UTC
Similar to bug 22510 but on a different extension
Comment 3 Bryan Tong Minh 2010-04-18 17:52:08 UTC
So how did that entry get into the database?
Comment 4 Bryan Tong Minh 2010-04-18 18:14:23 UTC
Hold over from r48501. A system administrator should probably update all logging tables to set log_type=abusefilter where log_type=abusefilte.
Comment 5 JeLuF 2010-05-20 16:52:17 UTC
Done.

I've run an update on all databases.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links